# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary: Show a logo with some system info on the console
Name: linux_logo
Version: 6.0
Release: alt1_1
License: GPLv2
Group: System/Base
URL: http://www.deater.net/weave/vmwprod/linux_logo/
Source: http://www.deater.net/weave/vmwprod/linux_logo/linux_logo-%{version}.tar.gz
Patch0: linux_logo-5.11-add-ppc64le.patch
Patch1: linux_logo-5.11-default-logo.patch
Patch2: 0001-initial-aarch64-support.patch
Patch3: linux_logo-5.11-kvm-cpus.patch
BuildRequires: gettext gettext-tools
BuildRequires: which
Source44: import.info

%description
Linux logo shows a logo, a colorful penguin by default, with some optional
system info on the console. It's typically used to generate issue and motd
files or executed upon login.

%prep
%setup -q
#patch0 -p1
#patch1 -p1
#patch2 -p1
#patch3 -p1

%build
# We still need to override CFLAGS later on, configure can't set them
%configure --prefix=%{_prefix}
make logos-all %{?_smp_mflags} CFLAGS="%{optflags}"

%install
make install PREFIX=%{buildroot}%{_prefix}
%find_lang %{name}

%files -f %{name}.lang
%{!?_licensedir:%global license %%doc}
%doc --no-dereference COPYING
%doc CHANGES* LINUX_LOGO.FAQ README* TODO USAGE
%{_bindir}/linux_logo
%{_mandir}/man1/linux_logo.1*

%changelog
* Thu Jul 08 2021 Igor Vlasenko <viy@altlinux.org> 6.0-alt1_1
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 5.11-alt1_20
- update to new release by fcimport

* Wed Sep 27 2017 Igor Vlasenko <viy@altlinux.ru> 5.11-alt1_18
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 5.11-alt1_16
- update to new release by fcimport

* Thu Nov 17 2016 Igor Vlasenko <viy@altlinux.ru> 5.11-alt1_15
- update to new release by fcimport

* Fri Sep 30 2016 Igor Vlasenko <viy@altlinux.ru> 5.11-alt1_14
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 5.11-alt1_13
- update to new release by fcimport

* Mon Oct 19 2015 Igor Vlasenko <viy@altlinux.ru> 5.11-alt1_12
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 5.11-alt1_11
- update to new release by fcimport

* Wed Sep 10 2014 Igor Vlasenko <viy@altlinux.ru> 5.11-alt1_10
- update to new release by fcimport

* Thu Jun 26 2014 Igor Vlasenko <viy@altlinux.ru> 5.11-alt1_9
- update to new release by fcimport

* Wed May 14 2014 Igor Vlasenko <viy@altlinux.ru> 5.11-alt1_7
- update to new release by fcimport

* Tue Aug 27 2013 Igor Vlasenko <viy@altlinux.ru> 5.11-alt1_6
- update to new release by fcimport

* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 5.11-alt1_5
- initial fc import

